<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SolutionTopics StructType
 * @subpackage Structs
 */
class SolutionTopics extends AbstractStructBase
{
    /**
     * The topic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $topic;
    /**
     * Constructor method for SolutionTopics
     * @uses SolutionTopics::setTopic()
     * @param \StructType\RecordRef $topic
     */
    public function __construct(\StructType\RecordRef $topic = null)
    {
        $this
            ->setTopic($topic);
    }
    /**
     * Get topic value
     * @return \StructType\RecordRef|null
     */
    public function getTopic()
    {
        return $this->topic;
    }
    /**
     * Set topic value
     * @param \StructType\RecordRef $topic
     * @return \StructType\SolutionTopics
     */
    public function setTopic(\StructType\RecordRef $topic = null)
    {
        $this->topic = $topic;
        return $this;
    }
}
